osgUtil::IncrementalCompileOperation::CompileOp Struct Referenceabstract

`#include <IncrementalCompileOperation>`

Inheritance diagram for osgUtil::IncrementalCompileOperation::CompileOp:

## Public Member Functions

virtual double | estimatedTimeForCompile (CompileInfo &compileInfo) const =0
virtual bool | compile (CompileInfo &compileInfo)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## compile()

virtual bool osgUtil::IncrementalCompileOperation::CompileOp::compile | ( | CompileInfo & | compileInfo | ) |

pure virtual

compile associated objects, return true if object as been fully compiled and this CompileOp can be removed from the to compile list.

Implemented in osgUtil::IncrementalCompileOperation::CompileDrawableOp, osgUtil::IncrementalCompileOperation::CompileProgramOp, and osgUtil::IncrementalCompileOperation::CompileTextureOp.

## estimatedTimeForCompile()

virtual double osgUtil::IncrementalCompileOperation::CompileOp::estimatedTimeForCompile | ( | CompileInfo & | compileInfo | ) | const

pure virtual

return an estimate for how many seconds the compile will take.

Implemented in osgUtil::IncrementalCompileOperation::CompileDrawableOp, osgUtil::IncrementalCompileOperation::CompileProgramOp, and osgUtil::IncrementalCompileOperation::CompileTextureOp.

The documentation for this struct was generated from the following file:

- IncrementalCompileOperation